summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRoss Whitfield2018-02-16 11:22:17 -0500
committerRoss Whitfield2018-02-16 11:22:17 -0500
commitf70e5aca83b501c4a200b3e5bce2260401b087bd (patch)
tree3095e608f6f593cf710bbf6525e7607f8577d842
parentb88ee22cadde07060b34ff9841abaf48e33b166e (diff)
downloadaur-f70e5aca83b501c4a200b3e5bce2260401b087bd.tar.gz
Fix python2
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD3
2 files changed, 7 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fe9629a0220..3153060e7f3 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = python-nexpy
pkgdesc = NeXpy: A Python GUI to analyze NeXus data
- pkgver = 0.10.0
- pkgrel = 1
+ pkgver = 0.10.10
+ pkgrel = 2
url = http://nexpy.github.io/nexpy
arch = any
license = BSD
@@ -9,8 +9,8 @@ pkgbase = python-nexpy
makedepends = python2-setuptools
makedepends = python-six
makedepends = python2-six
- source = https://github.com/nexpy/nexpy/archive/v0.10.0.tar.gz
- md5sums = 16c73af136fd0a03e62b51a147d011c4
+ source = https://github.com/nexpy/nexpy/archive/v0.10.10.tar.gz
+ md5sums = 43bfc04c709eb5b8605215ed182af716
pkgname = python-nexpy
depends = python-numpy
@@ -19,6 +19,7 @@ pkgname = python-nexpy
depends = python-nexusformat
depends = jupyter
depends = python-matplotlib
+ depends = python-ansi2html
pkgname = python2-nexpy
depends = python2-numpy
diff --git a/PKGBUILD b/PKGBUILD
index af5089acd7c..8dca5c58604 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname=('python-nexpy' 'python2-nexpy')
_pkgname=nexpy
pkgver=0.10.10
-pkgrel=1
+pkgrel=2
pkgdesc="NeXpy: A Python GUI to analyze NeXus data"
url="http://nexpy.github.io/nexpy"
arch=("any")
@@ -26,6 +26,7 @@ package_python2-nexpy() {
depends=('python2-numpy' 'python2-h5py' 'python2-scipy' 'python2-nexusformat' 'ipython2-notebook' 'python2-matplotlib' 'python2-subprocess32')
cd "$srcdir/$_pkgname-$pkgver-py2"
sed -i 's/jupyter/jupyter_core/' src/nexpy/requires.py # Can't find jupyter at run time
+ sed -i '/ansi2html/d' src/nexpy/requires.py # remove ansi2html from requires
python2 setup.py install --root="$pkgdir/" --optimize=1
# Conflict with python3 version
mv $pkgdir/usr/bin/nexpy{,2}